中危 Canonical snapd访问绕过漏洞

CVE编号

CVE-2020-11934

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-07-30
漏洞描述
Canonical snapd是英国科能(Canonical)公司的一套软件部署和包管理系统。<br />
Canonical snapd中存在访问绕过漏洞。该漏洞源于snapctl user-open在调用系统xdg-open时允许对XDG_DATA_DIRS环境变量进行更改。攻击者可利用该漏洞绕过访问限制以控制主机系统xdg-open脚本打开URL的方式。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 canonical ubuntu_linux 19.10 -
运行在以下环境
系统 canonical ubuntu_linux 20.04 -
运行在以下环境
系统 debian_10 snapd * Up to
(excluding)
2.37.4-1
运行在以下环境
系统 fedora_31 snapd * Up to
(excluding)
2.45.2-1.fc31
运行在以下环境
系统 fedora_32 snapd * Up to
(excluding)
2.45.2-1.fc32
运行在以下环境
系统 fedora_EPEL_7 snapd * Up to
(excluding)
2.45.2-1.el7
运行在以下环境
系统 fedora_EPEL_8 snapd * Up to
(excluding)
2.45.2-1.el8
运行在以下环境
系统 ubuntu_16.04 snapd * Up to
(excluding)
2.45.1ubuntu0.2
运行在以下环境
系统 ubuntu_16.04_lts snapd * Up to
(excluding)
2.45.1ubuntu0.2
运行在以下环境
系统 ubuntu_18.04 snapd * Up to
(excluding)
2.45.1+18.04.2
运行在以下环境
系统 ubuntu_18.04_lts snapd * Up to
(excluding)
2.45.1+18.04.2
运行在以下环境
系统 ubuntu_20.04 snapd * Up to
(excluding)
2.45.1+20.04.2
阿里云评分
4.1
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-668 将资源暴露给错误范围
阿里云安全产品覆盖情况